            #GIT_CMT=f8a17f4b99918bcd4ac9bc86b9c521b4d247cd51
            #GIT_CMT=5ea2d84af417bdbf9a798277e1da82d2e8354f68
            #GIT_CMT=4b50caed6ca477b310df78d20dbcf1ba24a536a0
            #GIT_CMT=36ca0e2994beb99da2026c9d36cd4031537f01a8
            #GIT_CMT=94c059f261abe411faf0f116a9c23b5774282d9d
%define build_version 02.00.00.3733
%define platform_type purley

Name:           ipmctl
Version:	02.00.00.3764
Release: 1.0.1.el8
Summary:        Utility for managing Intel Optane DC persistent memory modules
License:        BSD
URL:            https://github.com/intel/ipmctl
Source: ipmctl-02.00.00.3764.tar.bz2
ExclusiveArch:  x86_64

Requires:       libipmctl%{?_isa} = %{version}-%{release}
BuildRequires:  pkgconfig(libndctl)
BuildRequires:  cmake

%if 0%{?fedora}
BuildRequires:  python2
%endif

%if 0%{?rhel} == 8
BuildRequires:  python3
%endif


BuildRequires:  gcc
BuildRequires:  gcc-c++

%if 0%{?suse_version}
BuildRequires:  ruby2.5-rubygem-asciidoctor
%else
  %if 0%{?rhel} == 8
BuildRequires:  rubygems
  %else
BuildRequires:  asciidoctor
  %endif
%endif

Obsoletes:      ixpdimm-cli < 01.00.00.3000

%description
Utility for managing Intel Optane DC persistent memory modules
Supports functionality to:
Discover DCPMMs on the platform.
Provision the platform memory configuration.
View and update the firmware on DCPMMs.
Configure data-at-rest security on DCPMMs.
Track health and performance of DCPMMs.
Debug and troubleshoot DCPMMs.

%prep
%setup -q -n %{name}-%{version}

%package -n libipmctl
Summary:        Library for Intel DCPMM management
Obsoletes:      ixpdimm_sw < 01.00.00.3000
Obsoletes:      libixpdimm-common < 01.00.00.3000
Obsoletes:      libixpdimm-core < 01.00.00.3000
Obsoletes:      libixpdimm-cli < 01.00.00.3000
Obsoletes:      libixpdimm-cim < 01.00.00.3000
Obsoletes:      libixpdimm < 01.00.00.3000
Obsoletes:      ixpdimm-data < 01.00.00.3000

%description -n libipmctl
An Application Programming Interface (API) library for managing Intel Optane DC
persistent memory modules.

%package -n libipmctl-devel
Summary:        Development packages for libipmctl
Requires:       libipmctl%{?_isa} = %{version}-%{release}
Obsoletes:      ixpdimm-devel < 01.00.00.3000
Obsoletes:      ixpdimm_sw-devel < 01.00.00.3000

%description -n libipmctl-devel
API for development of Intel Optane DC persistent memory management utilities.

%build
%cmake -DBUILDNUM=%{version} -DCMAKE_INSTALL_PREFIX=/ \
    -DLINUX_PRODUCT_NAME=%{name} \
    -DCMAKE_INSTALL_LIBDIR=%{_libdir} \
    -DCMAKE_INSTALL_INCLUDEDIR=%{_includedir} \
    -DCMAKE_INSTALL_BINDIR=%{_bindir} \
    -DCMAKE_INSTALL_DATAROOTDIR=%{_datarootdir} \
    -DCMAKE_INSTALL_MANDIR=%{_mandir} \
    -DCMAKE_INSTALL_LOCALSTATEDIR=%{_localstatedir} \
    -DCMAKE_INSTALL_SYSCONFDIR=%{_sysconfdir} \
    -DRELEASE=ON \
    -DRPM_BUILD=ON
%make_build

%install
%{!?_cmake_version: cd build}
%make_install -f Makefile

%post -n libipmctl -p /sbin/ldconfig

%postun -n libipmctl -p /sbin/ldconfig

%files -n ipmctl
%{_bindir}/ipmctl
%{_mandir}/man1/ipmctl*

%files -n libipmctl
%{_libdir}/libipmctl.so.4*
%dir %{_datadir}/doc/ipmctl
%doc %{_datadir}/doc/ipmctl/ipmctl_default.conf
%config(noreplace) %{_datadir}/ipmctl/ipmctl.conf
%dir %{_localstatedir}/log/ipmctl
%config(noreplace) %{_sysconfdir}/logrotate.d/ipmctl

%files -n libipmctl-devel
%{_libdir}/libipmctl.so
%{_includedir}/nvm_types.h
%{_includedir}/nvm_management.h
%{_includedir}/export_api.h
%{_includedir}/NvmSharedDefs.h
%{_libdir}/pkgconfig/libipmctl.pc

%changelog
* Tue May 05 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3764-1
- BUILDINFO: commit=f8a17f4b99918bcd4ac9bc86b9c521b4d247cd51
- Update to 02.00.00.3764

* Wed Apr 08 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3759-1
- Update to 02.00.00.3759

* Wed Apr 01 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3749-1
- BUILDINFO: commit=5ea2d84af417bdbf9a798277e1da82d2e8354f68
- Update to 02.00.00.3749

* Wed Apr 01 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3742-1
- BUILDINFO: commit=4b50caed6ca477b310df78d20dbcf1ba24a536a0
- Update to 02.00.00.3742

* Wed Apr 01 2020 EL Errata <el-errata_ww@oracle.com> 02.00.00.3740-1
- BUILDINFO: commit=36ca0e2994beb99da2026c9d36cd4031537f01a8
- Update to 02.00.00.3740

* Thu Oct 10 2019 Amy Wang <Amy2.Wang@intel.com> - 02.00.00.3613-1
- BUILDINFO: commit=94c059f261abe411faf0f116a9c23b5774282d9d
- Change the reference to the share libraries

* Mon Sep 17 2018 Juston Li <juston.li@intel.com> - 01.00.00.3262-1
- Clean up spec for fedora review

* Wed May 02 2018 Juston Li <juston.li@intel.com> - 01.00.00.3000-1
- initial spec
